Subject: postgres and ansi c

From: [email-masked] (Gregory Klein)
Date: Fri, 18 Sep 92 12:07:21 -0700

Has anyone else used SUN's acc ansi compiler with postgres.  I get the
following two conflicts when I try to compile a program that includes
the <stdlib.h> file:

"/usr/postgres/src/lib/H/tmp/c.h", line 476: identifier redeclared: malloc
"/usr/postgres/src/lib/H/tmp/c.h", line 481: identifier redeclared: free

To make the program compile, I had to take out the malloc and free defines in
.../tmp/c.h.

Is this a problem with SUN's ansi compiler or with the Postgres file?

-Greg Klein